/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it is applied to
 * this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with AgroSense.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.netbeans.modules.welcome.content;

import java.awt.Color;
import java.awt.event.ActionEvent;
import javax.swing.Action;

/**
 * Link to activate netbeans action
 * @author Merijn Zengers <Merijn.Zengers@gmail.nl>
 */
public class ActionLink extends LinkButton{

    private Action action;
    
    public ActionLink(String label, Action action, Color foreground, boolean showBorder ){
        super( label, showBorder, action.toString());
        this.action = action;
    }
    
    @Override
    public void actionPerformed(ActionEvent ae) {
        action.actionPerformed(ae);
    }
    
}
